Bug 131355 - [CSS Blending] Remove the -webkit- prefix for mix-blend-mode and isolation CSS properties
: [CSS Blending] Remove the -webkit- prefix for mix-blend-mode and isolation CS...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Rik Cabanier
: AdobeTracked, WebExposed
Depends on: 132680
Blocks: 95614
  Show dependency treegraph
 
Reported: 2014-04-08 02:58 PDT by Ion Rosca
Modified: 2014-05-08 05:49 PDT (History)
13 users (show)

See Also:


Attachments
Patch (63.45 KB, patch)
2014-04-10 03:46 PDT, Rik Cabanier
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2 (473.31 KB, application/zip)
2014-04-10 04:55 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-07 for mac-mountainlion (508.77 KB, application/zip)
2014-04-10 05:34 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2 (476.37 KB, application/zip)
2014-04-10 05:57 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-02 for mac-mountainlion (503.08 KB, application/zip)
2014-04-10 06:25 PDT, Build Bot
no flags Details
Patch (63.69 KB, patch)
2014-04-14 14:31 PDT, Rik Cabanier
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2 (531.36 KB, application/zip)
2014-04-14 16:02 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion (498.18 KB, application/zip)
2014-04-14 16:13 PDT, Build Bot
no flags Details
Archive of layout-test-results from webkit-ews-08 for mac-mountainlion (556.32 KB, application/zip)
2014-04-14 17:20 PDT, Build Bot
no flags Details
Patch (63.96 KB, patch)
2014-04-14 21:17 PDT, Rik Cabanier
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ion Rosca 2014-04-08 02:58:16 PDT
Since CSS3 Compositing and Blending spec is now at CR, it might be a good idea to provide unprefixed versions of the blending properties. Specifically:
-webkit-mix-blend-mode => blend-mode
-webkit-isolation => isolation
Comment 1 Rik Cabanier 2014-04-08 04:23:24 PDT
(In reply to comment #0)
> Since CSS3 Compositing and Blending spec is now at CR, it might be a good idea to provide unprefixed versions of the blending properties. Specifically:
> -webkit-mix-blend-mode => blend-mode
> -webkit-isolation => isolation

that would be:
-webkit-mix-blend-mode => mix-blend-mode
Comment 2 Rik Cabanier 2014-04-10 03:46:53 PDT
Created attachment 229041 [details]
Patch
Comment 3 Build Bot 2014-04-10 04:55:47 PDT
Comment on attachment 229041 [details]
Patch

Attachment 229041 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6686597655298048

New failing tests:
transitions/blendmode-transitions.html
inspector-protocol/layers/layers-blending-compositing-reasons.html
fast/repaint/blend-mode-isolate-stacking-context.html
Comment 4 Build Bot 2014-04-10 04:55:51 PDT
Created attachment 229043 [details]
Archive of layout-test-results from webkit-ews-15 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-15  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 5 Build Bot 2014-04-10 05:34:21 PDT
Comment on attachment 229041 [details]
Patch

Attachment 229041 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5052207846129664

New failing tests:
transitions/blendmode-transitions.html
inspector-protocol/layers/layers-blending-compositing-reasons.html
fast/repaint/blend-mode-isolate-stacking-context.html
Comment 6 Build Bot 2014-04-10 05:34:24 PDT
Created attachment 229045 [details]
Archive of layout-test-results from webkit-ews-07 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-07  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 7 Build Bot 2014-04-10 05:57:02 PDT
Comment on attachment 229041 [details]
Patch

Attachment 229041 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6244631964549120

New failing tests:
transitions/blendmode-transitions.html
inspector-protocol/layers/layers-blending-compositing-reasons.html
fast/repaint/blend-mode-isolate-stacking-context.html
Comment 8 Build Bot 2014-04-10 05:57:06 PDT
Created attachment 229046 [details]
Archive of layout-test-results from webkit-ews-13 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-13  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 9 Build Bot 2014-04-10 06:25:10 PDT
Comment on attachment 229041 [details]
Patch

Attachment 229041 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/4957122236252160

New failing tests:
transitions/blendmode-transitions.html
inspector-protocol/layers/layers-blending-compositing-reasons.html
fast/repaint/blend-mode-isolate-stacking-context.html
Comment 10 Build Bot 2014-04-10 06:25:14 PDT
Created attachment 229047 [details]
Archive of layout-test-results from webkit-ews-02 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-02  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 11 Rik Cabanier 2014-04-14 14:31:32 PDT
Created attachment 229305 [details]
Patch
Comment 12 Build Bot 2014-04-14 16:02:42 PDT
Comment on attachment 229305 [details]
Patch

Attachment 229305 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/4716031360630784

New failing tests:
http/tests/navigation/ping-cross-origin.html
http/tests/security/dataTransfer-set-data-file-url.html
http/tests/navigation/javascriptlink-basic.html
http/tests/navigation/redirect-preserves-referrer.html
http/tests/navigation/ping-cookie.html
http/tests/security/isolatedWorld/userGestureEvents.html
http/tests/security/referrer-policy-redirect-link.html
http/tests/loading/unfinished-load-back-to-cached-page-callbacks.html
http/tests/navigation/document-location-click.html
http/tests/security/cookies/third-party-cookie-blocking-user-action.html
http/tests/navigation/no-referrer-subframe.html
http/tests/navigation/no-referrer-same-window.html
http/tests/navigation/ping-same-origin.html
http/tests/security/listener/xss-window-onclick-addEventListener.html
http/tests/security/listener/xss-window-onclick-shortcut.html
http/tests/security/isolatedWorld/events.html
http/tests/navigation/javascriptlink-goback.html
http/tests/navigation/ping-cross-origin-from-https.html
http/tests/navigation/redirect-to-random-url-versus-memory-cache.html
http/tests/navigation/no-referrer-target-blank.html
http/tests/navigation/no-referrer-reset.html
transitions/blendmode-transitions.html
http/tests/navigation/document-location-click-timeout.html
http/tests/navigation/document-location-mouseover.html
http/tests/security/referrer-policy-rel-noreferrer.html
http/tests/misc/isindex-with-no-form.html
Comment 13 Build Bot 2014-04-14 16:02:49 PDT
Created attachment 229320 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.5
Comment 14 Build Bot 2014-04-14 16:12:56 PDT
Comment on attachment 229305 [details]
Patch

Attachment 229305 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5925760439156736

New failing tests:
transitions/blendmode-transitions.html
Comment 15 Build Bot 2014-04-14 16:13:01 PDT
Created attachment 229321 [details]
Archive of layout-test-results from webkit-ews-06 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-06  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 16 Build Bot 2014-04-14 17:20:40 PDT
Comment on attachment 229305 [details]
Patch

Attachment 229305 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5159396539629568

New failing tests:
transitions/blendmode-transitions.html
Comment 17 Build Bot 2014-04-14 17:20:46 PDT
Created attachment 229325 [details]
Archive of layout-test-results from webkit-ews-08 for mac-mountainlion

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: webkit-ews-08  Port: mac-mountainlion  Platform: Mac OS X 10.8.5
Comment 18 Rik Cabanier 2014-04-14 21:17:58 PDT
Created attachment 229343 [details]
Patch
Comment 19 Andrei Bucur 2014-04-14 22:42:11 PDT
Adding the WebExposed keyword because this is an unprefixing patch.
Comment 20 Dean Jackson 2014-04-17 12:55:47 PDT
Comment on attachment 229343 [details]
Patch

Does the inspector need updating to complete the new name?
Comment 21 WebKit Commit Bot 2014-04-17 13:25:12 PDT
Comment on attachment 229343 [details]
Patch

Clearing flags on attachment: 229343

Committed r167448: <http://trac.webkit.org/changeset/167448>
Comment 22 WebKit Commit Bot 2014-04-17 13:25:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 23 Rik Cabanier 2014-04-17 15:16:37 PDT
(In reply to comment #20)
> (From update of attachment 229343 [details])
> Does the inspector need updating to complete the new name?

I don't think so since it doesn't use the css property name anywhere. I'll ask Ion since he's more familiar in this area.